ABC2ABC(1)

NOME
abc2abc - un semplice verificatore/ri-formattatore/traspositore di file abc

SINTASSI
abc2abc file [ -s ] [ -n ] [ -b ] [ -r ] [ -e ] [ -t semitoni ] [ -nda ] [ -u ] [ -d ] [ -v ] [ -v] [-nokeys] [ -nokeyf]

DESCRIZIONE

abc2abc è un semplice verificatore/ri-formattatore/traspositore di file abc. Esso verificherà se il file indicato sulla riga di comando rispetta la sintassi di base di abc.

Se si vuole verificare una melodia in abc, si raccomanda l'uso di abc2midi con l'opzione -c, che esegue ulteriori verifiche rispetto a abc2abc.

L'output di abc2abc va allo standard output. Usare la redirezione per salvare l'output in un file.

OPZIONI

-s  Rielabora la spaziatura nel file (che influenza il modo in cui le note vengono raggruppate quando la musica viene stampata). Questa opzione non sembra funzionare correttamente.

-n X
    Riformatta il file abc con interruzioni di linea ogni X battute.

-b  Non effettua verifiche sulla battuta.

-r  Non ripete la verifica.

-e  Non riporta gli errori.

-t n
    Traspone la melodia di n semitoni. Questa funzione lavorerà anche con K: none o uno tra -nokeys o -nokeyf.

-nda
    Converte i doppi accidenti in accordo di chitarra ad un altro accordo sebbene non strettamente corretto.

-u  Aggiorna la notazione; la vecchia notazione + + per gli accordi è sostituita da [] e quella s s per le legature è sostituita da ().

-d  Riscrive la melodia raddoppiando tutte le durate delle note. L'unità di durata specificata con il comando del campo L: verrà dimezzata (per esempio da L:1/8 a L:1/16).

-v  Riscrive la melodia dimezzando tutte le durate delle note. L'unità di durata specificata con il comando del campo L: è duplicata (per esempio da L:1/8 a L:1/4).

-ver
    Stampa il numero di versione ed esce.

-V X
    Per file abc multivoce (cioé contenenti comandi di campo V:), verrà copiata solo la voce X.

-X n
    Per un file contenente molte melodie, i numeri di riferimento X: sono rinumerati sequenzialmente partendo dal numero n.

-nokeys
    Non si assume alcuna armatura in chiave. Invece, diesis e bequadro saranno posizionati ovunque sia necessario.

-nokeyf
    Non si assume alcuna armatura in chiave. Invece, bemolli e bequadro saranno posizionati ovunque sia necessario.

VEDERE ANCHE
abcmtex(1), abc2midi(1), midi2abc(1), mftext(1)

AUTORE
Questa pagina di manuale è stata scritta da Anselm Lingnau <lingnau@tm.informatik.uni-frankfurt.de> e ora è supportata da Seymour Shlien <seymour.shlien@crc.ca> per il sistema GNU/Linux. Traduzione e adattamenti in italiano a cura di Hugh Hartmann <hhartmann@fastwebnet.it>. Revisione a cura di Elisa <lab@kkk.it>.

VERSIONE
Questa pagina di manuale descrive abc2abc versione 1.32 del 12 Settembre 2004.